# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-mssql}

Name:		miracle-zbx-agent2-plugin-mssql
Version:	7.0.5
Release:	1%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring MSSQL installations
Group:		Applications/Internet
License:	AGPLv3
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring MSSQL installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

go build

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp mssql $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-mssql
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp mssql.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-mssql
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/mssql.conf

%changelog
* Thu Oct 24 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.5-1
- Update to 7.0.5 release.

* Fri Sep 27 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.4-1
- Update to 7.0.4 release.

* Tue Aug 20 2024 Justin Boffemmyer <justin.boffemmyer@cybertrust.co.jp> - 7.0.3-1
- Update to 7.0.3 release.

* Mon Aug 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.2-1
- Update to 7.0.2 release.

* Tue Jul 23 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.1-1
- Update to 7.0.1 release.

* Wed Jun 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0-1
- Update to 7.0.0 release.

* Thu May 30 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0rc3-1
- Update to 7.0.0rc3
- Change license to AGPLv3

* Wed May 29 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 6.0.30-1
- initial release of mssql plugin for MIRACLE ZBX Agent2
